package _01_内容回顾;

import java.util.Scanner;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 需求: 通过键盘录入方式, 录入账号和密码信息
         * 如果账号等于admin, 密码等于123 表示登录成功
         * 需要把登录功能封装一个方法当中
         *
         * 有参数有返回值    有参数无返回值
         */
//        Scanner scanner = new Scanner(System.in);
//        System.out.println("请录入账号");
//        String username = scanner.next();
//        System.out.println("请录入密码");
//        String password = scanner.next();
        login(null, null);
//        if(isLogin){
//            System.out.println("登录成功");
//        }else{
//            System.out.println("登录失败");
//        }
    }
    public static void login(String username,String password){
        /**
         * 参数校验
         * 判断传入的账号和密码不能为空
         * 如果空提醒用户输入的账号或者密码不能为空
         *
         * null 表示空值
         * 对于字符串判断他不能为空  == null
         */
        if(username == null || password == null){
            System.out.println("账号或者是密码不能为空");
            // 代码走到这里方法就结束了
            return;
        }

        if("admin".equals(username) && "123".equals(password)){
            System.out.println("登录成功");
        }else{
            System.out.println("登录失败");
        }
    }
}
